package sap.livelink365.callbacks;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import sap.livelink365.callbacks.entity.Appointment;
import sap.livelink365.callbacks.service.AppointmentService;
import sap.livelink365.callbacks.service.MessageService;

import java.io.IOException;

@SpringBootApplication
public class CallbacksApplication {

    public static void main(String[] args) {

        SpringApplication.run(CallbacksApplication.class, args);

        try {
            MessageService service = new MessageService();
            AppointmentService appointmentService = new AppointmentService();
            appointmentService.sendAppointmentMessage();
        } catch (IOException ex) {
            System.out.println(ex);
        }
    }
}
