package sap.livelink365.callbacks.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sap.livelink365.callbacks.entity.IncomingBody;
import sap.livelink365.callbacks.service.IncomingService;

@RestController
public class IncomingController {

    @Autowired
    protected IncomingService incomingMessageService;

    @PostMapping("/messages/incoming")
    public void receiveIncomingMessageCallback(@RequestBody IncomingBody incomingMessageBody) {
        incomingMessageService.receiveIncomingMessageCallback(incomingMessageBody);
    }
}
