package sap.livelink365.callbacks.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sap.livelink365.callbacks.entity.StatusBody;
import sap.livelink365.callbacks.service.StatusService;

@RestController
public class StatusController {

    @Autowired
    protected StatusService statusService;

    @PostMapping("/messages/status")
    public void receiveStatusCallback(@RequestBody StatusBody statusCallback) {
        statusService.receiveStatusCallback(statusCallback);
    }
}
